Quantcast
Download
(2 Kb)
Download
Updated: 12/07/18 04:51 AM
Compatibility:
Murkmire (4.2)
Updated:12/07/18 04:51 AM
Created:12/07/18 04:51 AM
Monthly downloads:57
Total downloads:58
Favorites:0
MD5:
Categories:Libraries, Chat Mods
4.2
libGarfield : Chat care for AddOn uses libChat & player  New this week!
Version: 1.0.0
by: Provision [More]
libGarfield monitors and ensures that libChat3 (or oldest) remains active while loading after login or `/reloadui`.

Some AddOns can overwrite between them and overwrite libChat.
If libChat is overwrite no AddOns which use libChat will run, this addOn prevent that.

Running :

If any AddOns use libChat3 (= is not installed) but use libChat2 (= is installed) you will get chat Message after login :

> INFO : Compatibility mode enabled to keep {ADDON_NAME} & `libChat2 (02/2016)` enabled. Please use `libChat3`.

If libChat is rewrited by an another AddOns, the outdated AddOn will be disabled and libGarfield will relaunch libChat and you will get :

> WARNING : `{ADDON_NAME}` is outdated! Ask the author to use a chat library like `libChat3`.

Player :

The addon does not need to be configured it is full automated.
You can directly install libChat3 because your AddOns which use libChat2 will automaticly use libChat3.

AddOn author :

Add the file in your ".txt".
Optional Files (0)


There have been no comments posted to this file.
Be the first to add one.



Category Jump: